@use "sass:math";

//Some generics styles, to have the app styling when using app localhost.
@import
// tools
'tools/functions', 'tools/colors', 'tools/variables', 'tools/mixins', 'tools/easings', 'tools/mediaqueries',
//base
'base/reset', 'base/globals',
//mood-movies
'moodMovies/search-movie-form.scss', 'moodMovies/show-movie.scss', 'moodMovies/header.scss', 'moodMovies/footer.scss', 'moodMovies/my-movies.scss',
//proile
'moodMovies/profile.scss';

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Syne:wght@400..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');
body {
    font-family: "Inter", sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    font-family: "Work Sans", sans-serif;
}

//Using more specificity to win against main website and override when necessary
#app {
@import 
'base/typography',
'base/forms',
'base/util',
'base/icon',

'plugins/vue-notification',
'plugins/vue-quill',
'plugins/vue3-easy-data-table',
'plugins/vue-tippy',

//blocks ----------------------------------
'blocks/back-link-title',
'blocks/breadcrumbs',
'blocks/btn',
'blocks/card',
'blocks/content-grid',
'blocks/content-grid',
'blocks/dashboard',
'blocks/form-errors-list',
'blocks/loader',
'blocks/navbar',
'blocks/plus-sign',
'blocks/popup',
'blocks/progress-ring',
'blocks/search-input',
'blocks/subnav',
'blocks/tag',
'blocks/text-link',
'blocks/tooltip'
;
}